Bug 141454 - mkpasswd verbose option fails when userid not supplied
Summary: mkpasswd verbose option fails when userid not supplied
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: expect   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-01 09:02 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 05:14:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-12-01 09:02:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Running command "mkpasswd -v" fails with the message:

can't read "user": no such variable
    while executing
"puts -nonewline "password for $user is ""
    invoked from within
"if {$verbose} {
        puts -nonewline "password for $user is "
}"
    (file "/usr/bin/mkpasswd" line 212)

Version-Release number of selected component (if applicable):
expect-5.38.0-92.2

How reproducible:
Always

Steps to Reproduce:
1. Issue command "mkpasswd -v"
2.
3.
    

Actual Results:  See description above

Expected Results:  Command shold report generated password

Additional info:

Comment 1 Jens Petersen 2004-12-03 04:24:45 UTC
Thanks for reporting this.  As a first step I'm
building expect--5.42.1-2 in Fedora Core devel (rawhide)
for FC4.

Comment 2 Jens Petersen 2005-10-03 05:14:12 UTC
This will get fixed in RHEL 5.




Note You need to log in before you can comment on or make changes to this bug.